文档章节

Maven指定JDK版本为1.7

木子丰
 木子丰
发布于 2016/12/01 23:32
字数 77
阅读 20
收藏 0

建立Maven工程后默认使用的是JDK1.5

在pom.xml文件中添加

<properties>
    <maven.compiler.source>1.7</maven.compiler.source>
    <maven.compiler.target>1.7</maven.compiler.target>
</properties>

或使用编译插件

<plugin>
    <groupId>org.apache.maven.plugins</groupId>
	<artifactId>maven-compiler-plugin</artifactId>
	<version>2.3.2</version>
	<configuration>
		<source>1.7</source>
		<target>1.7</target>
		<encoding>UTF-8</encoding>
	</configuration>
</plugin>

之后[右键项目]-[Maven]-[Update Project]即可

© 著作权归作者所有

木子丰
粉丝 19
博文 238
码字总数 68905
作品 0
郑州
程序员
私信 提问
Maven 设置编译 jdk 版本 1.7

<?xml version="1.0" encoding="UTF-8"?> <settings xmlns="http://maven.apache.org/SETTINGS/1.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://......

garyxiong
2016/02/25
34
0
maven几种常见错误的解决方法

一、must override a superclass method 错误 首先我们得知道: @override注释在jdk1.5环境下只能用于对继承的类的方法的重写,而不能用于对实现的接口中的方法的实现,在jdk1.6环境下对于继...

cjun1990
2015/01/14
0
0
修改maven默认jdk1.5问题

在创建maven 项目的时候默认的jdk1.5,版本太低了,所以我们要更换掉?那么如何更换呢? 一、先找到maven 的安装目录,然后打开settings.xml文件 在profiles下加入: `xml <profile> <id>jdk-...

曾经的十字镐
2016/08/18
13
0
如何修改Maven的JDK版本

Maven是基于项目对象模型(POM),可以通过一小段描述信息来管理项目的构建,报告和文档的软件项目管理工具。Maven 除了以程序构建能力为特色之外,还提供高级项目管理工具。 工具/原料 Maven ...

ruanjun
2016/11/05
22
0
Maven仓库问题汇总,不断补充完善学习中

问题一:Maven项目update project时,会自动变更jdk的版本(默认版本为1.5) 解决办法: a>. 打开maven安装目录下的 maven-->conf, b>. 修改settings.xml,找到profiles节点,在里面添加 1.7 ...

streamlong
2016/08/10
29
0

没有更多内容

加载失败,请刷新页面

加载更多

FPGA 设备 USB Platform Cable USB

lsusbFuture Technology Devices International, Ltd FT232H Single HS USB-UART/FIFO IC

MtrS
今天
4
0
lua web快速开发指南(6) - Cache、DB介绍

"数据库"与"缓存"的基本概念 数据库与缓存是服务端开发人员的必学知识点. 数据库 "数据库"是一种信息记录、存取的虚拟标记地点的集合统称. 比如现实生活中, 我们经常会用到文件柜、书桌等等数...

水果糖的小铺子
今天
7
0
Oracle分页查询语句的写法

Oracle分页查询语句的写法 Oracle分页查询语句使我们最常用的语句之一,下面就为您介绍的Oracle分页查询语句的用法,Oracle分页查询语句基本上可以按本文给出的格式来进行套用。   Oracle分...

康师傅
昨天
5
0
java并发图谱

1527
昨天
2
0
Mybatis之拦截器Interceptor

使用mybatis时用PageHelper进行分页,用到了PageInterceptor,借此了解下mybatis的interceptor。Mybatis的版本是3.4.6,MybatisHelper的版本是5.1.3。 1、PageInterceptor 先上一段代码,如下...

克虏伯
昨天
2
0

没有更多内容

加载失败,请刷新页面

加载更多

返回顶部
顶部